Skip to main content
Settings/Observability Server Operations
POSTObservability Server OperationsSince 5.3.28SynchronousAuth Required

CreateObservabilityServerOffering

CreateObservabilityServerOffering

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • zoneUuidStringRequired

      The zone UUID.

    • managementNetworkUuidStringRequired

      No description provided.

    • imageUuidStringRequired

      The image UUID.

    • publicNetworkUuidString

      Optional.

    • isDefaultBoolean

      Optional.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The resource description.

    • cpuNumintRequired

      No description provided.

    • memorySizelongRequired

      内存大小。

    • reservedMemorySizelong

      Optional.

    • allocatorStrategyString

      Optional.

    • sortKeyint

      Optional.

    • typeString

      Optional.

    • resourceUuidString

      Optional. The resource UUID.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tag.

  • userTagsList

    Optional. The user tag.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryInstanceOfferingInventoryRequired

    See inventory

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The resource description.

    • cpuNumIntegerRequired

      The CPU number.

    • cpuSpeedIntegerRequired

      The CPU speed.

    • memorySizeLongRequired

      The memory size.

    • typeStringRequired

      The type.

    • allocatorStrategyStringRequired

      The allocation strategy.

    • sortKeyIntegerRequired

      排序键。

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last operation time.

    • stateStringRequired

      The state (Enabled; Disabled).

Endpoint

POST/zstack/v1/instance-offerings/observability-servers

/zstack/v1/instance-offerings/observability-servers

Operation ID

CreateObservabilityServerOffering

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/instance-offerings/observability-servers' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"zoneUuid":"<zoneUuid>","managementNetworkUuid":"<managementNetworkUuid>","imageUuid":"<imageUuid>","publicNetworkUuid":"<publicNetworkUuid>","isDefault":true,"name":"<name>","description":"<description>","cpuNum":1,"memorySize":1,"reservedMemorySize":1,"allocatorStrategy":"<allocatorStrategy>","sortKey":1,"type":"<type>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "3b0af4671cc93f619ef326a3c99d825c", "name": "instanceOffering1", "cpuNum": 2, "cpuSpeed": 1, "type": "UserVm", "allocatorStrategy": "Mevoco", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Enabled" } }

Change History

This API has no change history records yet.

View all change history